Name:           docker-storage-setup
Version:        0.0.4
Release:        2%{?dist}
Summary:        A simple service to setup docker storage devices

License:        ASL 2.0
URL:            http://github.com/projectatomic/docker-storage-setup/
Source0:        https://github.com/projectatomic/docker-storage-setup/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(systemd)

Requires:       lvm2
Requires:       cloud-utils-growpart
Requires:       systemd-units
# systemd_requires macro doesn't work here because the srpm build fails?
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
This is a simple service to divide available storage between
the OS and docker using LVM devices.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 docker-storage-setup.sh %{buildroot}%{_bindir}/docker-storage-setup
install -d %{buildroot}%{_unitdir}
install -p -m 644 docker-storage-setup.service %{buildroot}%{_unitdir}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%{_unitdir}/docker-storage-setup.service
%{_bindir}/docker-storage-setup

%changelog
* Tue Jan 20 2015 Colin Walters <walters@redhat.com> - 0.0.4-2
- On new installs, use an LVM managed thin pool by default,
  increasing efficiency.  (Vivek Goyal)

* Wed Oct 29 2014 Andy Grimm <agrimm@redhat.com> - 0.0.3-1
- Initial build

